#!/bin/bash

# Atualizando arquivos para nova revisão
make clean
svn up
make new-revision

# Criando tarball da nova revisão e enviando para o servidor
versao=$(shell python -c "import openerp.release as r; print r.version.lower()")
versao_up=$(echo $versao | tr '[:lower:]' '[:upper:]')
make clean
make changelog && \
make source && \
make upload

# Commit da nova revisão
make clean
svn commit -m "SigERP Versão: $versao_up" __init__.py \
  */__openerp__.py \
  debian/changelog && \
(svnrev=$(svnversion -c debian/changelog | cut -d: -f2 | sed -e 's/[MS]//g'); \
echo "Versão gerada: $versao (svn #$svnrev)")

# Criando pacote DEB e fazendo upload para o repositório
make up
make build-deb && \
make upload-deb && \
make update-repo
